Const PI  =3.141592653589793238462643;
      PI2 =6.283185307179586476925287  {PI * 2};
      PIO2=1.570796326794896619231322  {PI over 2};
      PIO4=0.7853981633974483096156608 {PI over 4};
      E   =2.718281828;
      DtoR=57.2958                     {Degrees to Radians};
Function TAN(x:Real)     :Real; extern;
Function ARCSIN(x:Real)  :Real; extern;
Function ARCCOS(x:Real)  :Real; extern;
Function LOGTEN(x:Real)  :Real; extern;
Function SINH(x:Real)    :Real; extern;
Function COSH(x:Real)    :Real; extern;
Function TANH(x:Real)    :Real; extern;
